package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/app/admin/fronted"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerMemberBalanceLogRouter)
	routerFrontedCheckRole = append(routerFrontedCheckRole, registerMemberBalanceLogFrontedRouter)
}

// registerMemberBalanceLogRouter
func registerMemberBalanceLogRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.MemberBalanceLog{}
	r := v1.Group("/member-balance-log").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
	}
}

func registerMemberBalanceLogFrontedRouter(v1 *gin.RouterGroup) {
	api := fronted.MemberBalanceLog{}

	r := v1.Group("/member-balance-log", middleware.FrontedAuth)
	{
		r.GET("/personal", api.GetPage) //app 个人余额明细
	}
}
